<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-overlay #ol [visible]="visible" (visibleChange)="onVisibleChange($event)" (closingChange)="onClosingChange($event)">
  <ng-template #content>
    <div *ngIf="visible" class="fixed bottom-0 left-0 w-screen px-12" style="z-index: 1001">
      <div class="flex flex-col gap-4 w-full content" [ngClass]="[closing ? 'slide-out-bottom' : 'slide-in-bottom']">
        <div (click)="close($event)" class="w-full flex justify-end">
          <p-button icon="pi pi-times" styleClass="p-button-rounded p-button-danger p-button-raised " (click)="close($event)"> </p-button>
        </div>
        <div class="bg-white w-full rounded-t-sm px-4 pt-4 shadow-top relative">
          <div *ngIf="header" class="absolute bg-lightGrey border border-borderGrey rounded-sm p-1 w-fit -top-7 h-14 flex flex-col justify-center z-50 shrink-0">
            <ng-template [ngTemplateOutlet]="header"> </ng-template>
          </div>
          <div *ngIf="header" class="h-7 w-full shrink-0"></div>
          <div class="w-full h-[calc(100dvh-160px)] overflow-y-auto">
            <ng-content></ng-content>
          </div>
        </div>
      </div>
    </div>
  </ng-template>
</app-overlay>
